- API Reference
- Marketplace
- Patch contributor
Patch contributor
Request
- contributorIdstringrequired
- contactPersonUserIdstring
- descriptions
- deviatingContractOwner
- deviatingNamestring
- deviatingSupportInformation
- homepagestring
- imprintone of 2 alternatives
- Alternativeobject
- textstring (≥ 1 characters)required
- Alternativeobject
- urlstring (≥ 1 characters, uri)required
Content-Type: application/json
{
"contactPersonUserId": "string",
"descriptions": null,
"deviatingContractOwner": null,
"deviatingName": "string",
"deviatingSupportInformation": null,
"homepage": "string",
"imprint": {
"text": "string"
}
}
{
"properties": {
"contactPersonUserId": {
"type": "string"
},
"descriptions": {
"allOf": [
{
"description": "A few words about the introduction as a contributor",
"properties": {
"de": {
"example": "Ich bin ein Contributor",
"type": "string"
},
"en": {
"example": "I am a contributor",
"type": "string"
}
},
"required": [
"de"
],
"type": "object"
}
],
"nullable": true
},
"deviatingContractOwner": {
"allOf": [
{
"properties": {
"contact": {
"type": "object",
"properties": {
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"title": {
"type": "string"
},
"salutation": {
"type": "string",
"enum": [
"mr",
"ms",
"other"
]
},
"company": {
"type": "string"
},
"address": {
"type": "object",
"properties": {
"street": {
"type": "string",
"example": "Königsberger Straße"
},
"houseNumber": {
"type": "string",
"example": "4-6"
},
"city": {
"type": "string",
"example": "Espelkamp"
},
"zip": {
"type": "string",
"example": "32339"
},
"countryCode": {
"type": "string",
"example": "DE",
"description": "ISO 3166-1 alpha-2 country code"
},
"addressPrefix": {
"type": "string",
"example": "c/o Ada Lovelace"
}
},
"required": [
"street",
"houseNumber",
"city",
"zip",
"countryCode"
]
},
"emailAddress": {
"type": "string",
"format": "email"
},
"phoneNumbers": {
"type": "array",
"items": {
"type": "string"
}
},
"useFormalTerm": {
"type": "boolean"
}
},
"required": [
"address",
"salutation"
]
},
"inherited": {
"type": "boolean"
}
},
"required": [
"contact",
"inherited"
],
"type": "object"
}
],
"nullable": true
},
"deviatingName": {
"type": "string"
},
"deviatingSupportInformation": {
"allOf": [
{
"properties": {
"email": {
"example": "a.lovelace@example.com",
"format": "email",
"type": "string"
},
"phone": {
"type": "string"
}
},
"required": [
"email"
],
"type": "object"
}
],
"nullable": true
},
"homepage": {
"type": "string"
},
"imprint": {
"oneOf": [
{
"properties": {
"text": {
"minLength": 1,
"type": "string"
}
},
"required": [
"text"
],
"type": "object"
},
{
"properties": {
"url": {
"format": "uri",
"minLength": 1,
"type": "string"
}
},
"required": [
"url"
],
"type": "object"
}
]
}
},
"type": "object"
}
Responses
Contributor has been patched.
- contactPersonUserIdstring (uuid)required
- contractOwnerobjectrequired
- contactobjectrequired
- firstNamestring
- lastNamestring
- titlestring
- salutationstring (one of: mr, ms, other)required
- companystring
- addressobjectrequired
- streetstringrequired
- houseNumberstringrequired
- citystringrequired
- zipstringrequired
- countryCodestringrequired
ISO 3166-1 alpha-2 country code
- addressPrefixstring
- emailAddressstring (email)
- phoneNumbersarray of string
- Array[
- *string
]
- useFormalTermboolean
- inheritedbooleanrequired
- contributorNumberstringrequired
- customerIdstringrequired
- descriptionstring
- descriptionsobject
A few words about the introduction as a contributor
- destringrequired
- enstring
- emailstring (email)deprecatedrequired
- homepagestring (uri)
- idstringrequired
- imprintone of 2 alternatives
- Alternativeobject
- textstring (≥ 1 characters)required
- Alternativeobject
- urlstring (≥ 1 characters, uri)required
- logoInheritedboolean
- logoRefIdstring (uuid)
- namestringrequired
- nameInheritedbooleanrequired
- phonestringdeprecated
- statestring (one of: enabled, disabled)deprecatedrequired
- supportInformationrequired
- urlstringdeprecated
- verificationRequestedbooleanrequired
- verifiedbooleanrequired
Content-Type: application/json
{
"contactPersonUserId": "f0f86186-0a5a-45b2-aa33-502777496347",
"contractOwner": {
"contact": {
"firstName": "string",
"lastName": "string",
"title": "string",
"salutation": "mr",
"company": "string",
"address": {
"street": "Königsberger Straße",
"houseNumber": "4-6",
"city": "Espelkamp",
"zip": "32339",
"countryCode": "DE",
"addressPrefix": "c/o Ada Lovelace"
},
"emailAddress": "email@mittwald.example",
"phoneNumbers": [
"string"
],
"useFormalTerm": true
},
"inherited": true
},
"contributorNumber": "string",
"customerId": "string",
"description": "string",
"descriptions": {
"de": "Ich bin ein Contributor",
"en": "I am a contributor"
},
"homepage": "string",
"id": "string",
"imprint": {
"text": "string"
},
"logoInherited": true,
"logoRefId": "f0f86186-0a5a-45b2-aa33-502777496347",
"name": "string",
"nameInherited": true,
"supportInformation": null,
"verificationRequested": true,
"verified": true
}
{
"properties": {
"contactPersonUserId": {
"format": "uuid",
"type": "string"
},
"contractOwner": {
"properties": {
"contact": {
"type": "object",
"properties": {
"firstName": {
"type": "string"
},
"lastName": {
"type": "string"
},
"title": {
"type": "string"
},
"salutation": {
"type": "string",
"enum": [
"mr",
"ms",
"other"
]
},
"company": {
"type": "string"
},
"address": {
"type": "object",
"properties": {
"street": {
"type": "string",
"example": "Königsberger Straße"
},
"houseNumber": {
"type": "string",
"example": "4-6"
},
"city": {
"type": "string",
"example": "Espelkamp"
},
"zip": {
"type": "string",
"example": "32339"
},
"countryCode": {
"type": "string",
"example": "DE",
"description": "ISO 3166-1 alpha-2 country code"
},
"addressPrefix": {
"type": "string",
"example": "c/o Ada Lovelace"
}
},
"required": [
"street",
"houseNumber",
"city",
"zip",
"countryCode"
]
},
"emailAddress": {
"type": "string",
"format": "email"
},
"phoneNumbers": {
"type": "array",
"items": {
"type": "string"
}
},
"useFormalTerm": {
"type": "boolean"
}
},
"required": [
"address",
"salutation"
]
},
"inherited": {
"type": "boolean"
}
},
"required": [
"contact",
"inherited"
],
"type": "object"
},
"contributorNumber": {
"type": "string"
},
"customerId": {
"type": "string"
},
"description": {
"type": "string"
},
"descriptions": {
"description": "A few words about the introduction as a contributor",
"properties": {
"de": {
"example": "Ich bin ein Contributor",
"type": "string"
},
"en": {
"example": "I am a contributor",
"type": "string"
}
},
"required": [
"de"
],
"type": "object"
},
"email": {
"deprecated": true,
"format": "email",
"type": "string"
},
"homepage": {
"format": "uri",
"type": "string"
},
"id": {
"type": "string"
},
"imprint": {
"oneOf": [
{
"properties": {
"text": {
"minLength": 1,
"type": "string"
}
},
"required": [
"text"
],
"type": "object"
},
{
"properties": {
"url": {
"format": "uri",
"minLength": 1,
"type": "string"
}
},
"required": [
"url"
],
"type": "object"
}
]
},
"logoInherited": {
"type": "boolean"
},
"logoRefId": {
"format": "uuid",
"type": "string"
},
"name": {
"type": "string"
},
"nameInherited": {
"type": "boolean"
},
"phone": {
"deprecated": true,
"type": "string"
},
"state": {
"deprecated": true,
"enum": [
"enabled",
"disabled"
],
"type": "string"
},
"supportInformation": {
"allOf": [
{
"properties": {
"email": {
"example": "a.lovelace@example.com",
"format": "email",
"type": "string"
},
"phone": {
"type": "string"
}
},
"required": [
"email"
],
"type": "object"
},
{
"properties": {
"inherited": {
"description": "Whether the support information is inherited from the customer.",
"type": "boolean"
}
},
"required": [
"inherited"
],
"type": "object"
}
]
},
"url": {
"deprecated": true,
"type": "string"
},
"verificationRequested": {
"type": "boolean"
},
"verified": {
"type": "boolean"
}
},
"required": [
"id",
"customerId",
"state",
"verified",
"verificationRequested",
"name",
"nameInherited",
"supportInformation",
"email",
"contactPersonUserId",
"contractOwner",
"contributorNumber"
],
"type": "object"
}
Validation Error caused by invalid input data in the request
- type"ValidationError"required
- messagestring
- validationErrorsarray of objectrequired
- Array[
- *object
- messagestringrequired
The standard error message
- pathstringrequired
The path to the part of the data that was validated. JavaScript property access notation (e.g., ".prop[1].subProp") is used.
- typestringrequired
ajv validation error type (e.g. "format", "required", "type") or own validation error types
- contextobject
The object with the additional information about the error that can be used to create custom error messages. Keys depend on the type that failed validation (e.g. "missingProperty" for type "required")
- *string
]
Content-Type: application/json
{
"type": "ValidationError",
"message": "Validation failed",
"validationErrors": [
{
"message": "should be string",
"path": ".address.street",
"type": "format",
"context": {
"format": "email"
}
}
]
}
{
"type": "object",
"required": [
"type",
"validationErrors"
],
"properties": {
"type": {
"type": "string",
"enum": [
"ValidationError"
]
},
"message": {
"type": "string",
"example": "Validation failed"
},
"validationErrors": {
"type": "array",
"items": {
"type": "object",
"required": [
"message",
"path",
"type"
],
"properties": {
"message": {
"type": "string",
"description": "The standard error message",
"example": "should be string"
},
"path": {
"type": "string",
"description": "The path to the part of the data that was validated. JavaScript property access notation (e.g., \".prop[1].subProp\") is used.\n",
"example": ".address.street"
},
"type": {
"type": "string",
"description": "ajv validation error type (e.g. \"format\", \"required\", \"type\") or own validation error types",
"example": "format"
},
"context": {
"type": "object",
"example": {
"format": "email"
},
"description": "The object with the additional information about the error that can be used to create custom error messages. Keys depend on the\ntype that failed validation (e.g. \"missingProperty\" for type \"required\")\n",
"additionalProperties": {
"type": "string"
}
}
}
}
}
}
}
The requested resource was not found
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Your request ran into a rate limit. You have to wait until rate limit expires
- messagestring
- typestring
Content-Type: application/json
{
"message": "too many requests",
"type": "RateLimitError"
}
{
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "too many requests"
},
"type": {
"type": "string",
"example": "RateLimitError"
}
}
}
An unexpected Error that occurred while handling the request
- messagestringrequired
- typestringrequired
Content-Type: application/json
{
"message": "Something went wrong",
"type": "InternalServerError"
}
{
"type": "object",
"required": [
"type",
"message"
],
"properties": {
"message": {
"type": "string",
"example": "Something went wrong"
},
"type": {
"type": "string",
"example": "InternalServerError"
}
}
}
Usage examples
$ curl \
--fail \
--location \
-X PATCH \
-d '{"contactPersonUserId":"string","descriptions":null,"deviatingContractOwner":null,"deviatingName":"string","deviatingSupportInformation":null,"homepage":"string","imprint":{"text":"string"}}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/contributors/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.marketplace.contributorPatchContributor({
"contributorId": "string",
"data": {
"contactPersonUserId": "string",
"descriptions": null,
"deviatingContractOwner": null,
"deviatingName": "string",
"deviatingSupportInformation": null,
"homepage": "string",
"imprint": {
"text": "string"
}
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ContributorPatchContributor\ContributorPatchContributorRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Marketplace\ContributorPatchContributor\ContributorPatchContributorRequestBody;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
// TODO: Please consult the properties and constructor signature of
// ContributorPatchContributorRequestBody to learn how to construct a valid instance
$body = new ContributorPatchContributorRequestBody(/* TODO: ... */);
$request = (new ContributorPatchContributorRequest(
contributorId: "string",
body: $body
));
$response = $client->marketplace()->contributorPatchContributor($request);
var_dump($response->getBody();